5.3 RC version update and Prices

  • Hello Alexander Ebert  Marcel Werk ,


    I have an old version of the forum(4.1). I will set up a new forum. Is it the right choice to install the forum I will install with 5.3 RC 1 version? Is it a problem? Does version 5.3 RC 1 support updates? So future RC 2 or Final versions?


    Or it would be better to install the forum with version 4.1 and then update to 5.3 version.



    Will there be a change in prices when the 5.3 final version is released?

  • Hello,


    You can start your forum with the version 5.3.0 RC 1 and we do guarantee an update path to the final version. However, this is still a software in testing that can contain flaws and your data will be at risk. We cannot recommend using these versions for anything but testing purposes.


    If you do want to start a forum, but be more on the safe side, I recommend starting with 5.2 instead. It's a stable and mature version that can be upgraded to 5.3 later. It makes absolutely no sense to start with 4.1, it's too old and the upgrade path is too painful.

    Alexander Ebert
    Senior Developer WoltLab® GmbH